#include <iostream>

using namespace std;

int main()
{
    int t ;
    cin >> t ;
    for(int i=0; i< t ; i++){
        int n , m , k ;
        cin >> n >> m >> k;
        int brb=0 ;
        brb=k*((n/k)*((n/k)+1)/2) +n%k*((n/k)+1) ;
        if(brb<=m){
            cout << "Tak" << endl ;
        }
        else{
            cout << "Nie" << endl ;
        }
    }
    return 0;
}